DOS/VS RPG II support for CICS TS for VSE/ESA 1.1.1 on z/VSE

Technote (FAQ)


Question

DOS/VS RPG II compiler support is available to allow RPG programs implemented for CICS/VSE V2.3 to run with CICS Transaction Server for VSE/ESA (CICS TS) V1.1.1. If you are using CICS/VSE V2.3 because of RPG support, you can now migrate to CICS TS V1.1.1. You would like to know, what APARs are required to enable translation, compilation and execution on z/VSE V4.1 and above?

Answer

If using z/VSE V4.3 or higher, these APARs will be in the base code of z/VSE and DOS/VS RPG II. All enhancements or fixes are carried forward into new releases.

Required DOS/VS RPG II V4.2 (R042) APARs:


APAR

PTF

Close
Date

Contents


UK62555

26 Nov
2010

Formatted dump not produced with RPG II application compiled prior to UK60655


UK60655

23 Sep
2010

Language type RPG is not supported in CICS TS


UK58484

06 Jul
2010

Language type RPG is not supported in CICS TS

z/VSE Interactive Interface (R01C) APARs for z/VSE V4.2 :

APAR

PTF

Close
Date

Contents


UK60989

05 Oct
2010

Adjust compile skeletons for RPG II on CICS TS


UK60877

30 Sep
2010

IUI support for running RPG on CICS TS

For more information, refer to the following information APARs:
  • II14447 to run DOS/VS RPG II V1.3 applications in CICS TS on Z/VSE V4.2 and z/VSE 4.1
  • II14452 to run DOS/VS RPG II V1.3 applications in CICS TS on z/VSE V4.3 and above

Product Alias/Synonym

CICS TS VSE z/VSE

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

CICS Transaction Server
Migration

Software version:

1.1.1

Operating system(s):

z/VSE

Reference #:

1456832

Modified date:

2013-04-05

Translate my page

Machine Translation

Content navigation